## org.mariadb.jdbc.internal.io
Class TraceObject

    java.lang.Object
      org.mariadb.jdbc.internal.io.TraceObject

    public class TraceObject

extends Object

Field Summary
`static int` `COMPRESSED_PROTOCOL_COMPRESSED_PACKET`
`static int` `COMPRESSED_PROTOCOL_NOT_COMPRESSED_PACKET`
`static int` `NOT_COMPRESSED`

Constructor Summary
`TraceObject(boolean send, int indicatorFlag, byte[]... buf)` Permit to store MySQL packets.

Method Summary
`byte[][]` `getBuf()`
`int` `getIndicatorFlag()`
`boolean` `isSend()`
`void` `remove()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### NOT_COMPRESSED

    public static final int NOT_COMPRESSED

See Also:
  Constant Field Values

### COMPRESSED_PROTOCOL_COMPRESSED_PACKET

    public static final int COMPRESSED_PROTOCOL_COMPRESSED_PACKET

See Also:
  Constant Field Values

### COMPRESSED_PROTOCOL_NOT_COMPRESSED_PACKET

    public static final int COMPRESSED_PROTOCOL_NOT_COMPRESSED_PACKET

See Also:
  Constant Field Values

Constructor Detail

### TraceObject

    public TraceObject(boolean send,
                       int indicatorFlag,
                       byte[]... buf)

  Permit to store MySQL packets.

  Parameters:
    `send` - was packet send or received
    `indicatorFlag` - indicator. can be NOT_COMPRESSED, COMPRESSED_PROTOCOL_COMPRESSED_PACKET or COMPRESSED_PROTOCOL_NOT_COMPRESSED_PACKET
    `buf` - buffers

Method Detail

### remove

    public void remove()

### isSend

    public boolean isSend()

### getIndicatorFlag

    public int getIndicatorFlag()

### getBuf

    public byte[][] getBuf()

Copyright © 2017. All rights reserved.